> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Список пулов с расширенными фильтрами (v2)

> Расширенный листинг пулов с курсорной пагинацией. Кэш 60–90 секунд.



## OpenAPI

````yaml /ru/api-reference/openapi/api-v3.yaml get /pools/info/list-v2
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    Raydium API v3 предоставляет REST-эндпоинты для запроса пулов ликвидности,
    информации о mint-адресах, фармах, IDO-пулах и метаданных блокчейна Solana.
    Используется кошельками, агрегаторами и трейдерами для получения ценовых
    фидов, данных о пулах и маршрутизации.
servers:
  - url: https://api-v3.raydium.io
    description: Продакшн (Mainnet)
  - url: https://api-v3-devnet.raydium.io
    description: Разработка (Devnet)
security: []
tags:
  - name: Main
    description: 'Основные API-эндпоинты: информация о сети, TVL и конфигурация'
  - name: Mint
    description: Информация о mint-адресах токенов и цены
  - name: Pools
    description: Информация о пулах ликвидности, ключи и исторические данные
  - name: Farms
    description: Информация о farm-пулах и ключи
  - name: IDO
    description: Информация об IDO-пулах и ключи
paths:
  /pools/info/list-v2:
    get:
      tags:
        - Pools
      summary: Список пулов с расширенными фильтрами (v2)
      description: Расширенный листинг пулов с курсорной пагинацией. Кэш 60–90 секунд.
      operationId: getPoolsInfoListV2
      parameters:
        - name: poolType
          in: query
          required: false
          schema:
            type: string
            enum:
              - Concentrated
              - Standard
        - name: mintFilter
          in: query
          required: false
          schema:
            type: string
        - name: hasReward
          in: query
          required: false
          schema:
            type: boolean
        - name: sortField
          in: query
          required: false
          schema:
            type: string
            enum:
              - liquidity
              - volume24h
              - fee24h
              - apr24h
              - volume7d
              - fee7d
              - apr7d
              - volume30d
              - fee30d
              - apr30d
        - name: sortType
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
        - name: size
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
            maximum: 1000
        - name: nextPageId
          in: query
          required: false
          schema:
            type: string
        - name: mint1
          in: query
          required: false
          schema:
            type: string
        - name: mint2
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/PoolListV2Response'
components:
  schemas:
    ApiResponse:
      type: object
      description: >-
        Общая обёртка ответа. Поле `data` определяется схемой ответа каждого
        эндпоинта через `allOf` и поэтому не объявляется в базовой обёртке.
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: ID запроса (UUID)
        success:
          type: boolean
          description: Признак успешного выполнения запроса
        msg:
          type: string
          description: Сообщение об ошибке, если `success` равно `false`
    PoolListV2Response:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PoolInfoItem'
        nextPageId:
          type: string
          nullable: true
    PoolInfoItem:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        programId:
          type: string
        lpMint:
          type: string
        mint1:
          type: object
        mint2:
          type: object
        tvl:
          type: number
        lpPrice:
          type: number
        farmOngoingCount:
          type: number
        day:
          type: object
        week:
          type: object
        month:
          type: object

````